﻿@model Generic_appWeb.Models.Tipo_equipo




<form asp-controller="Tipos_activos" asp-action="Edit" method="post" role="form">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">
                <h3>EDITAR TIPOS EQUIPO</h3>
            </section>

        </div>
        <div class="card-body">

            <div style="float:left" class="col-xl-12  ">

                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="Icono.Ico_id" class="col-xl-4 col-md-4 col-lg-4" style="float:left">ICONO</label>

                        <input asp-for="Icono.Ico_id" type="checkbox" class="form-control col-xl-6">

                        <span asp-validation-for="Icono.Ico_id" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="Color.Co_id" class="col-md-4 control-label" style="float:left">COLOR</label>

                        <select asp-for="Color.Co_id" asp-items="@(new SelectList(ViewBag.tipos_activosList,"Co_id", "Co_descripcion_corta"))" class="form-control col-md-6"><option>Seleccione</option></select>
                        <span asp-validation-for="Color.Co_id" class="text-danger" />

                    </div>
                </fieldset>

                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    @Html.Hidden("TE_id")
                    @Html.Hidden("TE_id")


                    <div class="form-group">
                        <label asp-for="Categoria_equipo.CE_id" class="col-md-4 control-label" style="float:left">CATEGORIA</label>

                        <select asp-for="Categoria_equipo.CE_id" asp-items="@(new SelectList(ViewBag.Categoria_EQUIPOList,"CA_id", "CA_Descripcion_corta"))" class="form-control col-md-6"></select>
                        <span asp-validation-for="Categoria_equipo.CE_id" class="text-danger" />

                    </div>


                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">CODIGOS</legend>

                    <div class="form-group">
                        <label asp-for="TE_codigo_empresa" class="col-md-4 control-label" style="float:left"> EMPRESA</label>

                        <input asp-for="TE_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="TE_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="TE_codigo_alterno" class="col-md-4 control-label" style="float:left"> ALTERNO</label>

                        <input asp-for="TE_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="TE_codigo_alterno" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">DESCRIPCIONES</legend>

                    <div class="form-group">
                        <label asp-for="TE_descripcion_larga" class="col-md-4 control-label" style="float:left">  LARGA </label>

                        <input asp-for="TE_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="TE_descripcion_larga" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="TE_descripcion_med" class="col-md-4 control-label" style="float:left">  MEDIA </label>

                        <input asp-for="TE_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="TE_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TE_descripcion_corta" class="col-md-4 control-label" style="float:left">  CORTA </label>

                        <input asp-for="TE_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="TE_descripcion_corta" class="text-danger" />

                    </div>







                    <div class="form-group">
                        <label asp-for="TE_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION </label>

                        <input asp-for="TE_abreviacion" class="form-control col-md-6" />
                        <span asp-validation-for="TE_abreviacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TE_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION </label>

                        <input asp-for="TE_observacion" class="form-control col-md-6" />
                        <span asp-validation-for="TE_observacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">FECHAS</legend>
                    <div class="form-group">
                        <label asp-for="TE_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="TE_fecha_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TE_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TE_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION </label>
                        <input name="TE_fecha_modificacion" id="TA_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_modificacion" readonly>

                        <span asp-validation-for="TE_fecha_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">USUARIOS</legend>
                    <div class="form-group">
                        <label asp-for="TE_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="TE_usuario_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TE_usuario_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TE_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>
                        <input asp-for="TE_usuario_modificacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TE_usuario_modificacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TE_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  SECUENCIA</label>
                        <input asp-for="TE_secuencia" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TE_secuencia" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />
                
            </div>
        </div>
        <div style="float:right" class="col-md-12">
            <div class="form-group">

                <div class="col-md-6">
                    <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Tipo_equipo")'">Volver</button>
                    <button type="submit" class="btn btn-success">Guardar</button>
                </div>




            </div>
        </div>
    </div>

</form>
